Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface ArchivedGeometryWidgetC

All Known Subinterfaces:
  CanvasC, GraphC, HistogramC, RasterC, ZoomRasterC

All Known Implementing Classes:
  CanvasCImpl, GraphCImpl, HistogramCImpl, RasterCImpl

public interface ArchivedGeometryWidgetC
extends WidgetC, WidgetS

Base class for widgets that archive geometry.. Subclasses of this class inherit the ability to archive their window geometry. This class also provides an interface to destroy notification.

Method Summary
`java.lang.Object` | `create$setWindowGeometryRecordName(Zone aZone, java.lang.String name)`
`java.lang.Object` | `loadWindowGeometryRecord()`
`java.lang.Object` | `registerAndLoad()`
`java.lang.Object` | `setSaveSizeFlag(boolean saveSizeFlag)` Determines whether or not size is saved in addition to position.
`java.lang.Object` | `setWindowGeometryRecordName(java.lang.String recordName)` Called to set a name for archiving.
`java.lang.Object` | `updateSize()`

Methods inherited from interface swarm.gui.WidgetC
`createParent, makeWidgetNameFor, setParent, setWidgetNameFromParent, setWidgetNameFromParentName`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setWindowGeometryRecordName

    public java.lang.Object create$setWindowGeometryRecordName(Zone aZone,
                                                               java.lang.String name)

### setWindowGeometryRecordName

    public java.lang.Object setWindowGeometryRecordName(java.lang.String recordName)

  Called to set a name for archiving. recordName must not have spaces.

### setSaveSizeFlag

    public java.lang.Object setSaveSizeFlag(boolean saveSizeFlag)

  Determines whether or not size is saved in addition to position.

### loadWindowGeometryRecord

    public java.lang.Object loadWindowGeometryRecord()

### registerAndLoad

    public java.lang.Object registerAndLoad()

### updateSize

    public java.lang.Object updateSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD